﻿.store {
    position: relative;
    margin-top: 20px;
}

    .store .text-left {
        text-align: left;
    }

    .store .text-center {
        text-align: center;
    }

    .store .text-right {
        text-align: right;
    }

    .store .search {
        font-weight: bold;
        margin-bottom: 10px;
    }

        .store .search input {
            height: 24px;
            padding: 0 5px;
            width: 300px;
        }

        .store .search select {
            height: 24px;
            padding-left: 5px;
        }

    .store div.list .ui-widget-header {
        padding: 3px;
        margin-bottom: 5px;
        display: block;
        line-height: 23.95px;
        height: 23.95px;
    }

        .store div.list .ui-widget-header > div {
            float: left;
            margin-left: 0px;
        }

    .store table {
        width: 100%;
        border-collapse: collapse;
    }

        .store table tr {
            height: 30px;
        }

        .store table.list tbody tr {
            border-bottom: 1px solid #ddd;
        }

            .store table.list tbody tr.odd {
            }

            .store table.list tbody tr:hover {
                background-color: #eee;
            }

            .store table.list tbody tr td {
                line-height: 20px;
            }

    .store .paging-wrap {
        display: table;
        border-collapse: collapse;
        margin-top: 14px;
        width: 100%;
        font-size: 12px;
        font-weight: bold;
    }

    .store .cls-count, .store-container .cls-count {
        display: table-cell;
        width: 50%;
        text-align: right;
    }

.store-dialog table.list th {
    text-align: right;
    width: 20%;
}

.store-dialog table.list td {
    width: 80%;
}

.store-dialog table.form input[type=text] {
    width: 100%;
    height: 20px;
    padding: 0 5px 0 5px;
}

.store-dialog div.box.image.no-main {
    border: 2px solid gray;
}

.store-dialog div.box.image.main {
    border: 2px solid green;
}

.store-dialog div.box.image div.header {
    text-align: center;
    height: 30px;
}

.store-dialog div.box.image.main div.header span.text {
    font-size: 15pt;
}

.store-dialog ul.images {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 100%;
}

    .store-dialog ul.images li {
        width: 160px;
        margin-right: 10px;
        float: left;
    }

        .store-dialog ul.images li span.close {
            float: right;
            opacity: 0.5;
            font-size: 11pt;
        }

            .store-dialog ul.images li span.close:hover {
                opacity: 1;
                cursor: pointer;
            }

.store-dialog table.form #description {
    height: auto !important;
}

/*** Store ***/

.store-container {
    display: block;
    min-width: 600px;
    padding: 10px;
}

    .store-container .store-container-header {
        font-size: 12px;
        height: 48px;
        line-height: 48px;
        margin: 0;
        text-align: right;
        padding: 0 10px;
    }

        .store-container .store-container-header .bar {
            display: inline-block;
            height: 40px;
            line-height: 40px;
            padding-right: 6px;
            margin-right: 3px;
        }

            .store-container .store-container-header .bar:not(:last-child) {
                border-right: 1px solid #d8dcdf;
            }

            .store-container .store-container-header .bar .select {
                border: solid 1px #d3d3d3;
                padding: 12px;
                height: 40px;
            }

    .store-container .store-container-content {
        background-color: #fff;
        border-top: 0;
        margin: 0;
        margin-bottom: 20px;
        padding-top: 10px;
    }

        .store-container .store-container-content .box {
            display: table;
            width: 100%;
            border-spacing: 10px;
        }

            .store-container .store-container-content .box .box-media {
                width: 303px;
            }

            .store-container .store-container-content .box .box-col {
                display: table-cell;
                vertical-align: top;
            }

            .store-container .store-container-content .box .box-border {
                border: 1px solid #d8dcdf;
                background-color: #fff;
                border-radius: 2px;
            }

            .store-container .store-container-content .box .box-padding {
                padding: 20px;
            }

            .store-container .store-container-content .box .box-font-bold {
                font-weight: bold;
                overflow: hidden;
                text-overflow: ellipsis;
                white-space: nowrap;
            }

            .store-container .store-container-content .box .menu {
                margin-bottom: 6px;
            }

                .store-container .store-container-content .box .menu.options {
                    margin-top: 20px;
                }

                    .store-container .store-container-content .box .menu.options button {
                        height: 100%;
                        max-height: 100%;
                    }

                    .store-container .store-container-content .box .menu.options .option-title {
                        padding-bottom: 5px;
                        border-bottom: 1px solid #d8dcdf;
                    }

                    .store-container .store-container-content .box .menu.options .option-content {
                        white-space: normal;
                    }

                        .store-container .store-container-content .box .menu.options .option-content button {
                            margin: 5px 5px 5px 0;
                        }

                            .store-container .store-container-content .box .menu.options .option-content button.active {
                                color: #333;
                                background-color: #bcbcbc;
                                border-color: #adadad;
                                background-image: none;
                                outline: 0;
                                box-shadow: inset 0 3px 5px rgba(0,0,0,.125);
                            }

            .store-container .store-container-content .box .actions {
                text-align: center;
            }

            .store-container .store-container-content .box .box-row-fix {
                margin-bottom: -10px;
            }

            .store-container .store-container-content .box .box-row {
                margin-bottom: 10px;
            }

            .store-container .store-container-content .box .lib-box-border {
                border: 1px solid #d8dcdf;
                background-color: #fff;
                border-radius: 2px;
            }

    .store-container input[type='text'].store-input {
        background-image: none !important;
        padding: 4px;
        border: solid 1px #d3d3d3;
        width: 100%;
    }

.store-container-content .product-box {
    padding-left: 0px;
    padding-right: 10px;
    display: inline-block;
    padding: 10px;
    border: 1px solid #ddd;
    margin: 0 10px 10px 0;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    transition: border .2s ease-in-out;
    -webkit-transition: border .2s ease-in-out;
    -moz-transition: border .2s ease-in-out;
    width: 220px;
}

    .store-container-content .product-box:hover {
        border-color: #337ab7;
    }

    .store-container-content .product-box a {
        text-decoration: none;
    }

    .store-container-content .product-box .image-box {
        padding: 5px;
        border: 1px solid #ddd;
        border-radius: 4px;
        -webkit-border-radius: 4px;
        -moz-border-radius: 4px;
        width: 100%;
        height: 220px;
    }

    .store-container-content .product-box .image-thumbnail {
        height: 100%;
        width: 100%;
        background-repeat: no-repeat;
        background-position: center center;
        background-size: contain;
        background-color: #efefef;
    }

    .store-container-content .product-box .caption {
        min-height: 75px;
        max-height: 75px;
        padding: 9px;
        color: #333;
        overflow: hidden;
    }

        .store-container-content .product-box .caption h5 {
            font-size: 14px;
            text-align: left;
            margin-top: 0;
            margin-bottom: 0;
            display: inline-block;
            font-weight: normal;
            -webkit-line-clamp: 5;
            -webkit-box-orient: vertical;
            text-overflow: ellipsis;
            display: -webkit-box
        }

    .store-container-content .product-box .price {
        margin-top: 10px;
        margin-bottom: 6px;
    }

        .store-container-content .product-box .price p {
            margin: 0;
            text-align: right;
        }

        .store-container-content .product-box .price .label {
            display: inline;
            padding: .2em .6em .3em;
            font-size: 75%;
            font-weight: 700;
            line-height: 1;
            color: #fff;
            text-align: center;
            white-space: nowrap;
            vertical-align: baseline;
            border-radius: .25em;
            font-size: 10pt;
            background-color: #69d170;
        }

.store-container-content .store-boxcontent-page {
    border-collapse: collapse;
    display: table;
    margin-top: 14px;
    width: 100%;
    font-size: 12px;
    font-weight: bold;
}

    .store-container-content .store-boxcontent-page .store-boxcontent-page-col {
        display: table-cell;
        width: 50%;
        text-align: right;
    }

/*************/
/*** Product Detail ***/

.product-container {
    padding: 20px 50px 20px 50px;
}

    .product-container .table {
        display: table;
        width: 100%;
    }

        .product-container .table .table-col {
            display: table-cell;
            margin-right: 20px;
            width: 50%;
            vertical-align: top;
        }

            .product-container .table .table-col:last-child {
                padding-left: 30px;
            }

                .product-container .table .table-col:last-child h4.name {
                    font-size: 2em;
                    font-weight: normal;
                    margin: 0;
                }

                .product-container .table .table-col:last-child .category, .product-container .table .table-col:last-child .department {
                    font-style: italic;
                    line-height: 0.1em;
                    text-transform: uppercase;
                    font-weight: normal;
                    font-size: 15px;
                    color: #999;
                }

                .product-container .table .table-col:last-child .price {
                    color: #00D318;
                    font-size: 1.7em;
                    border-bottom: 1px solid #C4C3C3;
                    padding: 0.3em 0;
                    margin: 20px 0;
                    font-weight: bold;
                }

                .product-container .table .table-col:last-child .days-to-delivery {
                    font-size: 12pt;
                    font-weight: normal;
                    color: #666;
                }

                    .product-container .table .table-col:last-child .days-to-delivery span {
                        font-weight: 700;
                    }

                .product-container .table .table-col:last-child .redeem {
                    text-decoration: none;
                    color: #fff;
                    background: #00D318;
                    padding: 0.4em 0.8em;
                    font-size: 14pt;
                    text-transform: uppercase;
                    margin-top: 0.5em;
                    display: inline-block;
                }

                    .product-container .table .table-col:last-child .redeem:hover {
                        transition: background .2s ease-in-out;
                        background-color: forestgreen;
                    }

    .product-container .product-description {
        width: 100%;
    }

    .product-container .flexslider {
        background: transparent;
        border: 4px solid transparent;
    }

        .product-container .flexslider .slides img {
            height: auto;
            max-height: 300px;
            max-width: 300px;
        }

/*** Purchase Details ***/

.purchase-details-container {
    text-align: center;
    line-height: 20px;
}

    .purchase-details-container > div:first-child {
        margin-bottom: 30px;
    }

    .purchase-details-container > div > h2 {
        color: #000;
    }

    .purchase-details-container hr {
        border-top: 1px solid #ccc;
    }

    .purchase-details-container .shopping-bag {
        font-size: 3em;
    }

    .purchase-details-container .purchase-details .delivery-id {
        color: #000;
        font-weight: bold;
    }

    .purchase-details-container .purchase-details .delivery-message {
        color: #000;
    }

/************************/
